tomcat-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jon Stevens <...@latchkey.com>
Subject The irony of it all (was: Re: t3 and sun.com)
Date Sun, 28 Oct 2001 21:42:35 GMT
on 10/28/01 10:30 AM, "Paulo Gaspar" <paulo.gaspar@krankikom.de> wrote:

> Yes, but they KNOW.
> 
> And they insist a lot on how Tomcat 3.3 must keep compatibility with
> the Java Servlet 2.2 and JSP 1.1 specifications, because it is the
> reference implementation.
> 
> See the irony now?
> 
> Have fun,
> Paulo Gaspar

If you really want to talk irony, think about this fact:

Tomcat 3.x will never support beyond Servlet 2.2 and JSP 1.1. At least not
as it stands under Jakarta. The only way for this to happen would be for the
Tomcat 3.x tree to be proposed to surpass the Tomcat 4.x tree and become
something like the Tomcat 5.x tree. We know that this won't happen because
there are enough Tomcat 4.x people who would -1 it. We already discussed
this months ago with the big Jon vs. Costin flamewar. We don't need to go
over it again.

Now consider this part of the license for JSP/Servlets:

"satisfies all testing requirements available from Sun relating to the most
recently published version of the Specification six (6) months prior to any
release of the clean room implementation or upgrade"

Given that Tomcat 3.3 won't be able to satisfy that part of the license in a
few more months, it will then become illegal to distribute from Jakarta.

What are you going to do then?

-jon


--
To unsubscribe, e-mail:   <mailto:tomcat-dev-unsubscribe@jakarta.apache.org>
For additional commands, e-mail: <mailto:tomcat-dev-help@jakarta.apache.org>


Mime
View raw message